Bug 991825 - [abrt] darktable-1.2.2-1.fc19: miUnionNonO: Process /usr/bin/darktable was killed by signal 6 (SIGABRT)
[abrt] darktable-1.2.2-1.fc19: miUnionNonO: Process /usr/bin/darktable was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
abrt_hash:a75bb75223dc022dab00ef289af...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 12:38 EDT by rzepol
Modified: 2015-02-18 09:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (108.87 KB, text/plain)
2013-08-04 12:38 EDT, rzepol
no flags Details
File: cgroup (139 bytes, text/plain)
2013-08-04 12:38 EDT, rzepol
no flags Details
File: core_backtrace (10.91 KB, text/plain)
2013-08-04 12:38 EDT, rzepol
no flags Details
File: dso_list (23.59 KB, text/plain)
2013-08-04 12:38 EDT, rzepol
no flags Details
File: environ (1.48 KB, text/plain)
2013-08-04 12:38 EDT, rzepol
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-04 12:38 EDT, rzepol
no flags Details
File: maps (118.90 KB, text/plain)
2013-08-04 12:39 EDT, rzepol
no flags Details
File: open_fds (1.25 KB, text/plain)
2013-08-04 12:39 EDT, rzepol
no flags Details
File: proc_pid_status (924 bytes, text/plain)
2013-08-04 12:39 EDT, rzepol
no flags Details
File: var_log_messages (2.66 KB, text/plain)
2013-08-04 12:39 EDT, rzepol
no flags Details

  None (edit)
Description rzepol 2013-08-04 12:38:43 EDT
Version-Release number of selected component:
darktable-1.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        darktable
crash_function: miUnionNonO
executable:     /usr/bin/darktable
kernel:         3.10.4-300.fc19.x86_64
runlevel:       N 5
uid:            502

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 miUnionNonO at gdkregion-generic.c:1110
 #5 miRegionOp at gdkregion-generic.c:1021
 #6 gdk_region_union at gdkregion-generic.c:1266
 #7 gdk_window_invalidate_maybe_recurse_full at gdkwindow.c:5986
 #8 gtk_widget_size_allocate at gtkwidget.c:4133
 #9 gtk_box_size_allocate at gtkbox.c:500
 #10 g_cclosure_marshal_VOID__BOXEDv at gmarshal.c:1160
 #11 _g_closure_invoke_va at gclosure.c:840
 #14 gtk_widget_size_allocate at gtkwidget.c:4122
 #15 gtk_box_size_allocate at gtkbox.c:500
Comment 1 rzepol 2013-08-04 12:38:47 EDT
Created attachment 782557 [details]
File: backtrace
Comment 2 rzepol 2013-08-04 12:38:49 EDT
Created attachment 782558 [details]
File: cgroup
Comment 3 rzepol 2013-08-04 12:38:52 EDT
Created attachment 782559 [details]
File: core_backtrace
Comment 4 rzepol 2013-08-04 12:38:54 EDT
Created attachment 782560 [details]
File: dso_list
Comment 5 rzepol 2013-08-04 12:38:56 EDT
Created attachment 782561 [details]
File: environ
Comment 6 rzepol 2013-08-04 12:38:59 EDT
Created attachment 782562 [details]
File: limits
Comment 7 rzepol 2013-08-04 12:39:01 EDT
Created attachment 782563 [details]
File: maps
Comment 8 rzepol 2013-08-04 12:39:03 EDT
Created attachment 782564 [details]
File: open_fds
Comment 9 rzepol 2013-08-04 12:39:06 EDT
Created attachment 782565 [details]
File: proc_pid_status
Comment 10 rzepol 2013-08-04 12:39:08 EDT
Created attachment 782566 [details]
File: var_log_messages
Comment 11 Edouard Bourguignon 2014-01-15 02:49:54 EST
Please could you tell me how to reproduce this bug?
Comment 12 martin.juren 2014-01-19 12:46:21 EST
Another user experienced a similar problem:

It happens when I have tried to delete one picture (from the database and from the storage, too). It happens after few succesful deletions of other images.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/darktable
crash_function: miUnionNonO
executable:     /usr/bin/darktable
kernel:         3.12.7-200.fc19.x86_64
package:        darktable-1.4-1.fc19
reason:         darktable killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-01-09 14:16:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Edouard Bourguignon 2015-02-01 09:26:02 EST
I can't reproduce. Is it still happening with darktable-1.6.0?
Comment 15 martin.juren 2015-02-10 16:59:52 EST
I can't reproduce it in darktable-1.6.0, either. It is not happening with current version of darktable, I think this bugreport could be closed.
Comment 16 Fedora End Of Life 2015-02-18 09:04:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.